.flex-r-l {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-wrap: nowrap;
}
.flex-r-c {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: nowrap;
}
.flex-r-r {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-wrap: nowrap;
}
.flex-l {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.flex-l > * {
  width: 100%;
}
.flex-nw {
  flex-wrap: nowrap;
}
.flex-w,
.flex-w-100 {
  flex-wrap: wrap;
}
.flex-w-100 > * {
  width: 100%;
}

/* File Dropper */

.FileUpload .file-dropper {
  position: relative;
  margin-bottom: 1rem;
  border: 0.15rem dashed #f0f0f0;
  border-radius: 0.25rem;
  padding: 3rem;
  font-family: sans-serif;
  background-color: transparent;
  box-sizing: border-box;
}
.FileUpload input[type="file"] {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  opacity: 0;
  cursor: pointer;
}
.FileUpload label {
  width: 100%;
  color: #626262;
  font-size: 1.7rem;
  font-weight: 600;
  text-align: center;
}
.FileUpload .file-dropper > p {
  width: 100%;
  margin: 0.25rem 0 0 0;
  color: #6d6d6d;
  font-size: 0.875rem;
  font-weight: 500;
  text-align: center;
}

.upload-error {
  margin: 0;
  color: #c55a5a;
  font-size: 0.875rem;
  font-weight: 500;
}

.file-upload-list-wrapper {
  max-height: 20rem;
  overflow-y: auto;
}

.file-upload-list {
  display: flex;
  max-width: 100%;
  overflow-y: auto;
  overflow-x: hidden;
  flex-direction: column-reverse;
  flex-wrap: wrap;
}
/* Upload Item */

.upload-item {
  width: 100%;
  padding: 0.75rem 0;
  color: #707070;
  font-size: 0.75rem;
  font-family: sans-serif;
  font-weight: 600;
}

.upload-item-top {
  justify-content: space-between;
}

.upload-progress {
  color: #c8c8c8;
  font-weight: 300;
}

.upload-cancel {
  color: #de7979;
  margin-left: 0.5rem;
  cursor: pointer;
  transform: rotate(45deg);
  font-size: 1.2rem;
}

.upload-progress-bar-empty {
  position: relative;
  width: 100%;
  height: 0.25rem;
  margin: 0.5rem 0;
  background-color: #f5f5f5;
  border-radius: 9999px;
}
.upload-progress-bar {
  width: 0;
  height: 0.25rem;
  position: relative;
  background-color: #d3f06f;
  border-radius: 9999px;
}
.upload-progress-complete {
  background-color: #a0dc58;
}
.upload-cancelled {
  background-color: #e2bcbc;
}
